| Version: 3.1.5

Classes | Macros | Enumerations | Variables
sashwin.h File Reference

## Classes
class | wxSashWindow
| wxSashWindow allows any of its edges to have a sash which can be dragged to resize the window. More...
class | wxSashEvent
| A sash event is sent when the sash of a wxSashWindow has been dragged by the user. More...

## Macros
#define | wxSW_NOBORDER 0x0000
| wxSashWindow flags More...
#define | wxSW_BORDER 0x0020
#define | wxSW_3DSASH 0x0040
#define | wxSW_3DBORDER 0x0080
#define | wxSW_3D (wxSW_3DSASH | wxSW_3DBORDER)

## Enumerations
enum | wxSashEdgePosition { wxSASH_TOP = 0 , wxSASH_RIGHT , wxSASH_BOTTOM , wxSASH_LEFT , wxSASH_NONE = 100 }
| See wxSashWindow. More...
enum | wxSashDragStatus { wxSASH_STATUS_OK , wxSASH_STATUS_OUT_OF_RANGE }
| See wxSashEvent. More...

## Variables
wxEventType | wxEVT_SASH_DRAGGED

## Macro Definition Documentation

## ◆ wxSW_3D

#define wxSW_3D (wxSW_3DSASH | wxSW_3DBORDER)

## ◆ wxSW_3DBORDER

#define wxSW_3DBORDER 0x0080

## ◆ wxSW_3DSASH

#define wxSW_3DSASH 0x0040

## ◆ wxSW_BORDER

#define wxSW_BORDER 0x0020

## ◆ wxSW_NOBORDER

#define wxSW_NOBORDER 0x0000

wxSashWindow flags

## Enumeration Type Documentation

## ◆ wxSashDragStatus

enum wxSashDragStatus

See wxSashEvent.

Enumerator
wxSASH_STATUS_OK |
wxSASH_STATUS_OUT_OF_RANGE |

## ◆ wxSashEdgePosition

enum wxSashEdgePosition

See wxSashWindow.

Enumerator
wxSASH_TOP |
wxSASH_RIGHT |
wxSASH_BOTTOM |
wxSASH_LEFT |
wxSASH_NONE |

## Variable Documentation

## ◆ wxEVT_SASH_DRAGGED

wxEventType wxEVT_SASH_DRAGGED